/*! \file NebulaIRISAPIs.h
This file describes Nebula module IRIS APIs for device.

\copyright Copyright (c) 2023 by Throughtek Co., Ltd. All Rights Reserved.

Revision Table

Version     | Name             |Date           |Description
------------|------------------|---------------|-------------------
4.3.4.X     |Freya             |2023-09-04     |- Add NebulaIRISAPIs
 */

package com.tutk.IOTC;

import com.tutk.IOTC.util.LoadLibrary;

public class NebulaIRISAPIs {
 
    /*function for IRIS bind*/
    public native static int Nebula_IRIS_Device_Parse_BindInfo(String input_str, NebulaIRISBindInfo bind_info);
    public native static int Nebula_IRIS_Device_Bind(NebulaIRISBindInfo bind_info, String public_udid, String credential, int timeout_msec, NebulaAbort abort);

    static {
        LoadLibrary.load("NebulaAPIs");
    }
}
 